Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class FloodRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.FloodRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class FloodRed
extends AbstractRed

This implementation of RenderedImage will generate an infinate field of a single color. It reports bounds but will in fact render out to infinity.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`FloodRed(java.awt.Rectangle bounds)` Construct a fully transparent black image `bounds` size.
`FloodRed(java.awt.Rectangle bounds, java.awt.Paint paint)` Construct a fully transparent image `bounds` size, will paint one tile with paint.

Method Summary
`java.awt.image.WritableRaster` | `copyData(java.awt.image.WritableRaster wr)`
`java.awt.image.Raster` | `getTile(int x, int y)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloodRed

    public FloodRed(java.awt.Rectangle bounds)

  Construct a fully transparent black image `bounds` size.

Parameters:
  `bounds` - the bounds of the image (in fact will respond with any request).

### FloodRed

    public FloodRed(java.awt.Rectangle bounds,
                    java.awt.Paint paint)

  Construct a fully transparent image `bounds` size, will paint one tile with paint. Thus paint should not be a pattered paint or gradient but should be a solid color.

Parameters:
  `bounds` - the bounds of the image (in fact will respond with any request).

Method Detail

### getTile

    public java.awt.image.Raster getTile(int x,
                                         int y)

  Specified by:
    `getTile` in interface `java.awt.image.RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.